bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#1700: 23.0.60; Please provide a way to know if --daemon is supported


From: Sven Joachim
Subject: bug#1700: 23.0.60; Please provide a way to know if --daemon is supported
Date: Thu, 25 Dec 2008 09:43:09 +0100
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)

On 2008-12-25 09:03 +0100, address@hidden wrote:

> Currently I have a script that tries to use --daemon, but if it is not
> supported falls back on creating an ordinary (mtty, or nothing) Emacs
> session.  The test it uses for this is:
>
>     emacs --batch -q --no-site-file --daemon >/dev/null 2>&1
>
> However after my last weekly upgrade, this test fails even when
> --daemon is supported.  Please provide a way to test for --daemon
> support that will fail immediately on Emacs 21 and 22 (rather than
> just launching an ordinary Emacs), and will succeed immediately when
> --daemon is supported.

How about "emacs --help | grep -q -e --daemon" ?

Sven






reply via email to

[Prev in Thread] Current Thread [Next in Thread]